<%@ Page Title="" Language="VB" MasterPageFile="~/SIG/Site.master" AutoEventWireup="false" Inherits="SGHweb.SIG_frm_Examen" Codebehind="frm_Examen.aspx.vb" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>


<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>
  <!-- noty -->
  <script type="text/javascript" src="../Scripts/noty/jquery.noty.js"></script>
  <!-- themes -->
  <script type="text/javascript" src="../Scripts/noty/themes/default.js"></script>
  <script type="text/javascript" src="../Scripts/noty/layouts/center.js"></script>
  <link rel="stylesheet" type="text/css" href="../Scripts/noty/buttons.css" />
  <script type="text/javascript">

       function generate_success(type,texto) {
           var n = noty({
               text: texto,
               type: type,
               dismissQueue: true,
               layout: 'center',
               modal: true,
               theme: 'defaultTheme',
               buttons: [
                    { addClass: 'btn btn-primary', text: 'Ok', onClick: function ($noty) {
                        $noty.close();
                        location.href = 'frm_MisExamenes.aspx';
                    }
                    },
                  ]
           });
               console.log(type + ' - ' + n.options.id);
               return n;
           }
           function mostrar_alerta(texto) {
               $(document).ready(function () {
                   ///////////////////////
                   // alert             //
                   //  information      //
                   //   error           //
                   //    warning        //
                   //     notification  //
                   ///////////////////////

                   var success = generate_success('notification',texto);                
                       //$.noty.setText(success.options.id, texto);
               });
           }
           function mostrar_alerta_respuestas(texto) {
               $(document).ready(function () {
                   ///////////////////////
                   // alert             //
                   //  information      //
                   //   error           //
                   //    warning        //
                   //     notification  //
                   ///////////////////////

                   var success = generate_success_respuestas('alert', texto);
                   //$.noty.setText(success.options.id, texto);
               });
           }
           function generate_success_respuestas(type, texto) {
          var n = noty({
              text: texto,
              type: type,
              dismissQueue: true,
              layout: 'center',
              modal: true,
              theme: 'defaultTheme',
              buttons: [
                    { addClass: 'btn btn-primary', text: 'Ok', onClick: function ($noty) {
                        $noty.close();
                        var hotel = "<%=Request.QueryString("hotel") %>";
                        //location.href = 'Bienvenida.aspx?hotel='+hotel;
                    }
                    },
                  ]
          });
          console.log(type + ' - ' + n.options.id);
          return n;
      }
      function mostrar_alerta_fin_examen(type, texto) {
          var n = noty({
              text: texto,
              type: type,
              dismissQueue: true,
              layout: 'center',
              modal: true,
              theme: 'defaultTheme',
              buttons: [
                    { addClass: 'btn btn-primary', text: 'Ok', onClick: function ($noty) {
                        $noty.close();
                        var hotel = "<%=Request.QueryString("hotel") %>";
                        location.href = 'frm_MisExamenes.aspx?hotel='+hotel;
                    }
                    },
                  ]
          });
          console.log(type + ' - ' + n.options.id);
          return n;
      }
           function verificar_respuestas() {
               var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
               ajaxManager.ajaxRequest("verficarRespuestas");
           }
  </script>
<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">

    <script language="javascript">
        var array = new Array();
        function agregar_respuesta(id_input_respuesta, contenido, tipo_respuesta) {
            //alert(id_input_respuesta + '-' + contenido + '-' + tipo_respuesta);
            
            if (tipo_respuesta == 1) {
                var found = array.indexOf(contenido);
                if(found !== -1){
                    //alert(found);
                    array.splice(found, 1);
                 }else{
                    array.push(contenido);  
                }         
                //contenido_input = document.getElementById("pregunta_" + id_input_respuesta).value
                document.getElementById("pregunta_" + id_input_respuesta).value = array;
                
            } else {
                document.getElementById("pregunta_" + id_input_respuesta).value = contenido;
            }
        }

        function cambiaridioma(idioma) {
             var idexamen = ""+<%=Request.QueryString("eid") %>+"";
             var url = "frm_Examen.aspx?eid="+idexamen+"&lang="+idioma;
             location.href = url;
        }
function btn_guardar_onclick() {

}

function btn_guardar_onclick() {

}

    </script>

</telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <div id="lang" style="float: right;">
        <img src="Resources/examen_img/en.png" title="Change language" onClick="cambiaridioma('en')" /> <img src="Resources/examen_img/es.png" title="Cambiar el idioma" onClick="cambiaridioma('es')" />
    </div>
    <center>
        <div style="background-image: url(Resources/examen_img/bg_resultados.png);width: 800px;">
            <h2>
            <asp:Label ID="Label_Titulo" runat="server" Text="Label"></asp:Label>
            </h2>
            <p>
                <asp:Label ID="Label_Header" runat="server" Text="Label"></asp:Label>
            </p>
            <asp:Panel ID="Panel1" runat="server" >
            </asp:Panel>
    
            <p>
                <input id="btn_guardar" runat="server" type="button" onclick="verificar_respuestas();return btn_guardar_onclick()" value="Enviar"/>
            </p>
            <p>
                <asp:Label ID="Label_Footer" runat="server" Text="Label"></asp:Label>
            </p>
            </div>
        </center>
<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
</telerik:RadAjaxManager>
    </asp:Content>